Subject: Re: Draft IDs in PR... (was Re: MIBs for IPDC and SGCP)

From: Tim Salo <[email-masked]>
Date: Tue, 10 Nov 1998 18:30:17 -0600 (CST)

> Subject: Re: Draft IDs in PR... (was Re: MIBs for IPDC and SGCP) 
> Date: Tue, 10 Nov 1998 18:38:51 -0500
> From: "Perry E. Metzger" <[email-masked]>
> 
> 
> "Rick H. Wesson" writes:
> > > CENTRAAL ANNOUNCES IETF STANDARDS EFFORT AND REALNAMES SUBMISSION
> 
> Everyone likes to pretend they have a standards effort going.

Large and small alike:

http://www.cisco.com/warp/public/797/16.html

-tjs

---

From: Tim Salo <[email-masked]>
Date: Tue, 10 Nov 1998 18:30:17 -0600 (CST)

Large and small alike:

-tjs

---

From: Nicolas Popp <[email-masked]>
Date: Sat, 14 Nov 1998 13:36:10 -0800

>There is good general concensus that the HFN space is a flatnamespace. 
>The only proposals that exist for how to not haveit be a central registry
really 
>do nothing more than fancy loadbalancing. If someone has a way of
federating 
>a flat, uniform namespace without requiring the addition of federating 
>identifiers to the name, I'd really like to see it since wouldhave some 
>interesting applications in other areas.

There is a way to add hierachy (federation) to a flat space of names. This
can be done without exposing the hierarchy within the name, hence losing its
human friendliness. If you consider the name as one property of a resource
characteristic object (metadata), then you can can consider adding other
properties to that object. The new properties can then be used to give
structure to the namespace. Properties that naturally come to mind are
"language" (e.g. different registries for different  languages),
"geographical region" (e.g different registries for different countries), or
"category" (one registry for businesses, another for individuals, or books,
CDs, wines, etc...). 

That way, you can have a globally flat space of names, and still be able to
federate it into independent sub-namespaces. Basically, I am suggesting that
we could use what you call "context" in your architectural draft to create a
federated structure of namespaces (if this becomes a goal). User queries are
likely to contain such context information (the user's default language, his
region, and through other preferences explicitely set in the client app). In
some case, some of this "context" can also be inferred from the query itself
(e.g. the language). 

-Nico

-----Original Message-----
From: Michael Mealling [mailto:[email-masked]]
Sent: Wednesday, November 11, 1998 8:09 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]

Rick H. Wesson said this:
> On Tue, 10 Nov 1998, Larry Masinter wrote:
> [snip]
> 
> i am *very* much against any IETF protoocls that creat registries
> of any kind that create new registry problems. i'm not saying that
> HFN are not a GoodThing(tm), but that greed is bad.
>

I'm not going to touch that one with any pole of any length! ;-)
/* for the smiley impaired the above statement is meant in good */
/* humor and nothing more */

> 
> I would hope that HFN's don't require a central registry, simular
> to the Internic's.

There is good general concensus that the HFN space is a flat
namespace. The only proposals that exist for how to not have
it be a central registry really do nothing more than fancy load
balancing. If someone has a way of federating a flat, uniform 
namespace without requiring the addition of federating 
identifiers to the name, I'd really like to see it since would
have some interesting applications in other areas.

> > Certainly there will be multiple registrars of 'friendly names',
> > but there's a place for organizations that act as an
> > authority by dint of checking trademark ownership, relevance and
> > appropriateness of the names assigned. D&B, Thompson Register,
> > AOL go-words, Netscape Internet Keywords, Netword... all of these
> > exist as name registrars. Given the large amount of activity
> > in this area, starting work on standards seems appropriate.
> > 
> > (will announce mailing list / web page etc. as soon as it is
> > set up.)
> > 
> > Larry
> > -- 
> > http://www.parc.xerox.com/masinter

-- 
----------------------------------------------------------------------------
----
Michael Mealling	|      Vote Libertarian!       |
www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:
14198821
Network Solutions	|          www.lp.org          |
[email-masked]

---

From: Nicolas Popp <[email-masked]>
Date: Sat, 14 Nov 1998 13:36:10 -0800

really 
federating 

-Nico

-----Original Message-----
From: Michael Mealling [mailto:[email-masked]]
Sent: Wednesday, November 11, 1998 8:09 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]